org.apache.jmeter.gui.logging

## Class GuiLogEventBus

- java.lang.Object
- - org.apache.jmeter.gui.logging.GuiLogEventBus

-     public class GuiLogEventBus
      extends Object

  GUI Log Event Bus.
  Since:
    3.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiLogEventBus()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `postEvent(LogEventObject logEventObject)` Post a log event object.
    `void` | `registerEventListener(GuiLogEventListener listener)` Register a GUI log event listener (`GuiLogEventListener`).
    `void` | `unregisterEventListener(GuiLogEventListener listener)` Unregister a GUI log event listener (`GuiLogEventListener`).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiLogEventBus

          public GuiLogEventBus()

      Default constructor.

  - ### Method Detail

    - #### registerEventListener

          public void registerEventListener(GuiLogEventListener listener)

      Register a GUI log event listener (`GuiLogEventListener`).
      Parameters:
        `listener` - a GUI log event listener (`GuiLogEventListener`)

    - #### unregisterEventListener

          public void unregisterEventListener(GuiLogEventListener listener)

      Unregister a GUI log event listener (`GuiLogEventListener`).
      Parameters:
        `listener` - a GUI log event listener (`GuiLogEventListener`)

    - #### postEvent

          public void postEvent(LogEventObject logEventObject)

      Post a log event object.
      Parameters:
        `logEventObject` - log event object

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.